document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Intersection Observer for fade-in animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('visible');
      }
    });
  }, {
    threshold: 0.1
  });

  document.querySelectorAll('.feature-card, .gallery-item').forEach((el) => {
    observer.observe(el);
  });

  // Dynamic 3D preview rendering (placeholder)
  const previewPanel = document.querySelector('.preview-panel');
  if (previewPanel) {
    previewPanel.innerHTML = '<div class="preview-placeholder">3D Preview Loading...</div>';
  }
});